Zainstalowałem strukturę jonową z NPM.

npm install -g @ionic/cli

Zainstalowana wersja to 6.2.1, ale w mojej pracy używają wersji 5. Jak mogę zainstalować wersję 5?

0
Thiago Soares Mota 18 marzec 2020, 17:05

1 odpowiedź

Najlepsza odpowiedź

6.2.1 jest wersją zainstalowanego jonowego CLI. To nie jest wersja ramowa jonowa.

Aby sprawdzić jonową wersję ramową projektu, otwórz pakiet.json i szukaj wersji @ionic/angular. To powinno być coś takiego: "@ionic/angular": "^5.0.5".

Ponadto, wersje wtyczek @ionic-native/* byłyby 5 lub więcej.

Aby go podsumować, jeśli masz zamiar przyczynić się do projektu jonowego 5, wystarczy zainstalowanie najnowszej wersji jonowego CLI. Podczas konfigurowania projektu na komputerze, działa npm install powinien zainstalować wszystkie wymagane zależności, w tym jonowe 5.

1
HaniBhat 19 marzec 2020, 01:39